Skip to content
GET/api/{version}/vobjects/{object_name}/{object_record_id}/attachments/{attachment_id}
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{object_name}The object name__v field value (product__v, country__v, custom_object__c, etc.).
{object_record_id}The object record id field value.
{attachment_id}The attachment id field value.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v23.2/vobjects/site__v/1357752909483/attachments/558
{ "responseStatus": "SUCCESS", "data": [ { "id": 558, "filename__v": "Site Contact List.docx", "description__v": "Facilities information and contacts", "format__v": "application/vnd.openxmlformats-officedocument.wordprocessingml.document", "size__v": 11450, "md5checksum__v": "9c6f61847207898ca98431d3e9ad176d", "version__v": 3, "created_by__v": 46916, "created_date__v": "2015-01-07T21:42:47.772Z", "versions": [ { "version__v": 1, "url": "https://myvault.veevavault.com/api/v23.2/vobjects/site__v/1357752909483/attachments/558/versions/1" }, { "version__v": 2, "url": "https://myvault.veevavault.com/api/v23.2/vobjects/site__v/1357752909483/attachments/558/versions/2" }, { "version__v": 3, "url": "https://myvault.veevavault.com/api/v23.2/vobjects/site__v/1357752909483/attachments/558/versions/3" } ] } ] }

The md5checksum__v field is calculated on the latest version of the attachment. If an attachment is added which has the same MD5 checksum value as an existing attachment on a given object record, the new attachment is not added.